summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2017-09-26 23:09:41 +1000
committerMichael Palimaka <kensington@gentoo.org>2017-09-26 23:09:57 +1000
commitc9cee44806524bc43f4c7740b3653e7ecadf24ef (patch)
tree16213d2d050aca119a74ad39c6f139da77b326af /net-im/qtox
parentnet-mail/mailman: Version bump. (diff)
downloadgentoo-c9cee44806524bc43f4c7740b3653e7ecadf24ef.tar.gz
gentoo-c9cee44806524bc43f4c7740b3653e7ecadf24ef.tar.bz2
gentoo-c9cee44806524bc43f4c7740b3653e7ecadf24ef.zip
net-im/qtox: fix build failure when dev-qt/qttest:5 is not present
Closes: https://bugs.gentoo.org/628574 Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'net-im/qtox')
-rw-r--r--net-im/qtox/qtox-1.11.0.ebuild13
-rw-r--r--net-im/qtox/qtox-9999.ebuild13
2 files changed, 24 insertions, 2 deletions
diff --git a/net-im/qtox/qtox-1.11.0.ebuild b/net-im/qtox/qtox-1.11.0.ebuild
index 2e8bb695264..8921fd9330e 100644
--- a/net-im/qtox/qtox-1.11.0.ebuild
+++ b/net-im/qtox/qtox-1.11.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/qTox/qTox/releases/download/v${PV}/v${PV}.tar.lz ->
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="gtk X"
+IUSE="gtk test X"
S="${WORKDIR}"
@@ -45,8 +45,19 @@ DEPEND="${RDEPEND}
$(unpacker_src_uri_depends)
dev-qt/linguist-tools:5
virtual/pkgconfig
+ test? ( dev-qt/qttest:5 )
"
+src_prepare() {
+ cmake-utils_src_prepare
+
+ # bug 628574
+ if ! use test; then
+ sed -i CMakeLists.txt -e "/include(Testing)/s/^/#/" || die
+ sed -i cmake/Dependencies.cmake -e "/find_package(Qt5Test/s/^/#/" || die
+ fi
+}
+
src_configure() {
local mycmakeargs=(
-DENABLE_STATUSNOTIFIER=$(usex gtk)
diff --git a/net-im/qtox/qtox-9999.ebuild b/net-im/qtox/qtox-9999.ebuild
index dd9f1a5c502..21c7d9d197c 100644
--- a/net-im/qtox/qtox-9999.ebuild
+++ b/net-im/qtox/qtox-9999.ebuild
@@ -13,7 +13,7 @@ EGIT_REPO_URI="https://github.com/qTox/qTox.git"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS=""
-IUSE="gtk X"
+IUSE="gtk test X"
RDEPEND="
dev-db/sqlcipher
@@ -43,8 +43,19 @@ RDEPEND="
DEPEND="${RDEPEND}
dev-qt/linguist-tools:5
virtual/pkgconfig
+ test? ( dev-qt/qttest:5 )
"
+src_prepare() {
+ cmake-utils_src_prepare
+
+ # bug 628574
+ if ! use test; then
+ sed -i CMakeLists.txt -e "/include(Testing)/s/^/#/" || die
+ sed -i cmake/Dependencies.cmake -e "/find_package(Qt5Test/s/^/#/" || die
+ fi
+}
+
src_configure() {
local mycmakeargs=(
-DENABLE_STATUSNOTIFIER=$(usex gtk)